Page MenuHomePhabricator

ci: use manual autoreconf && configure calls
ClosedPublic

Authored by zmike on Jul 17 2018, 1:49 PM.

Details

Summary

our autogen.sh stupidly destroys all the autotools cache files, so ensure that
we keep them around to speed up configure

Depends on D6612

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:49 PM
zmike requested review of this revision.Jul 17 2018, 1:49 PM
zmike updated this revision to Diff 15796.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.

As I mentioned in another review where you added the configure caches I think this was added when we had trouble with stale cache. I honestly do not remember details and as we are only using this on CI right now we should have enough control to use them. Just something to keep in mind when strange build problems happen.

.ci/ci-configure.sh
9

Is this removal on purpose or an accident? Seems unrelated to the rest of the patch.

zmike added a comment.Jul 25 2018, 8:36 AM

The only issue we're likely to have is if we change any env vars during configure we'll have to manually delete the cache--configure will fail in this case anyway. The scripts handle a no-cache case, so it just requires deleting the cache in the travis ui or commenting out the line to move the cache files in the travis script.

.ci/ci-configure.sh
9

I think it just happened to be there and got stuck in this commit during one of the many rebases of this patchset.

stefan_schmidt accepted this revision.Jul 26 2018, 12:48 AM
This revision is now accepted and ready to land.Jul 26 2018, 12:48 AM
This revision was automatically updated to reflect the committed changes.